## openchange 0.8

=== Makefile ===
# Makefile for OpenChange
# Written by Jelmer Vernooij <jelmer@openchange.org>, 2005.

default: all

# Until we add proper dependencies for all the C files:
.NOTPARALLEL:

config.mk: config.status config.mk.in
	./config.status

config.status: configure
	./configure

configure: configure.ac
	autoconf -f

samba:
	./script/installsamba4.sh all

samba-git: 
	./script/installsamba4.sh git-all

ifneq ($(MAKECMDGOALS), samba)
ifneq ($(MAKECMDGOALS), samba-git)
include config.mk
endif
endif

#################################################################
# top level compilation rules
#################################################################

all: 		$(OC_IDL)		\
		$(OC_LIBS)		\
		$(OC_TOOLS)		\
		$(OC_TORTURE)		\
		$(OC_SERVER)		\
		$(SWIGDIRS-ALL)		\
		$(PYMAPIALL)

install: 	all 			\
		installlib 		\
		installpc 		\
		installheader 		\
		$(OC_TOOLS_INSTALL) 	\
		$(OC_SERVER_INSTALL) 	\
		$(OC_TORTURE_INSTALL) 	\
		$(SWIGDIRS-INSTALL) 	\
		$(PYMAPIINSTALL) \
		installnagios

installlib:	$(OC_LIBS_INSTALL)
installpc:	$(OC_LIBS_INSTALLPC)
installheader:	$(OC_LIBS_INSTALLHEADERS)

uninstall:: 	$(OC_LIBS_UNINSTALL) 	\
		$(OC_TOOLS_UNINSTALL) 	\
		$(OC_SERVER_UNINSTALL) 	\
		$(OC_TORTURE_UNINSTALL) \
		$(SWIGDIRS-UNINSTALL) \
		$(PYMAPIUNINSTALL)

distclean:: clean
	rm -rf autom4te.cache
	rm -f Doxyfile
	rm -f libmapi/Doxyfile
	rm -f libmapiadmin/Doxyfile
	rm -f libocpf/Doxyfile
	rm -f libmapi++/Doxyfile
	rm -f mapiproxy/Doxyfile
	rm -f config.status config.log
	rm -f utils/mapitest/Doxyfile
	rm -f intltool-extract intltool-merge intltool-update
	rm -rf apidocs
	rm -rf gen_ndr
	rm -f tags

clean::
	rm -f *~
	rm -f */*~
	rm -f */*/*~
	rm -f doc/examples/mapi_sample1
	rm -f doc/examples/fetchappointment
	rm -f doc/examples/fetchmail

re:: clean install

#################################################################
# Suffixes compilation rules
#################################################################

.SUFFIXES: .c .o .h .po .idl

.idl.h:
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --header -- $<

.c.o:
	@echo "Compiling $<"
	@$(CC) $(CFLAGS) -c $< -o $@

.c.po:
	@echo "Compiling $< with -fPIC"
	@$(CC) $(CFLAGS) -fPIC -c $< -o $@



#################################################################
# IDL compilation rules
#################################################################

idl: gen_ndr gen_ndr/ndr_exchange.h gen_ndr/ndr_property.h

exchange.idl: mapitags_enum.h mapicodes_enum.h

gen_ndr:
	@echo "Creating the gen_ndr directory"
	mkdir -p gen_ndr

gen_ndr/ndr_%.h gen_ndr/ndr_%.c: %.idl %.h
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --ndr-parser -- $<

gen_ndr/ndr_%_c.h gen_ndr/ndr_%_c.c: %.idl %.h
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --client -- $<

gen_ndr/ndr_%_s.c: %.idl
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --server -- $<



#################################################################
# libmapi compilation rules
#################################################################

LIBMAPI_SO_VERSION = 0

libmapi:	idl					\
		libmapi/version.h			\
		libmapi/proto.h				\
		libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)	

libmapi-install:	libmapi			\
			libmapi-installpc	\
			libmapi-installlib	\
			libmapi-installheader	\
			libmapi-installscript

libmapi-uninstall:	libmapi-uninstallpc	\
			libmapi-uninstalllib	\
			libmapi-uninstallheader	\
			libmapi-uninstallscript

libmapi-clean::
	rm -f libmapi/*.o libmapi/*.po
	rm -f libmapi/tests/*.o, libmapi/tests/*.po
	rm -f libmapi/socket/*.o libmapi/socket/*.po
	rm -f libmapi/util/*.o, libmapi/util/*.po
	rm -f libmapi/version.h
ifneq ($(SNAPSHOT), no)
	rm -f libmapi/utf8_convert.yy.c
	rm -f libmapi/mapicode.c libmapi/mapicode.h
	rm -f libmapi/mapitags.c libmapi/mapitags.h
	rm -f libmapi/mapi_nameid.h libmapi/mapi_nameid_private.h
	rm -f libmapi/proto.h
	rm -f libmapi/proto_private.h
	rm -f mapicodes_enum.h
	rm -f mapitags_enum.h
endif
	rm -f gen_ndr/ndr_exchange*
	rm -f gen_ndr/exchange.h
	rm -f gen_ndr/ndr_property*
	rm -f gen_ndr/property.h
	rm -f ndr_mapi.o ndr_mapi.po
	rm -f *~
	rm -f */*~
	rm -f */*/*~
	rm -f libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION) \
		  libmapi.$(SHLIBEXT)

clean:: libmapi-clean

libmapi-distclean::
	rm -f libmapi.pc

distclean:: libmapi-distclean

libmapi-installpc:
	@echo "[*] install: libmapi pc files"
	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL) -m 0644 libmapi.pc $(DESTDIR)$(libdir)/pkgconfig

libmapi-installlib:
	@echo "[*] install: libmapi library"
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(INSTALL) -m 0755 libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)
	ln -sf libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapi.$(SHLIBEXT)

libmapi-installheader:
	@echo "[*] install: libmapi headers"
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi 
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi/socket 
	$(INSTALL) -d $(DESTDIR)$(includedir)/gen_ndr
	$(INSTALL) -m 0644 libmapi/dlinklist.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/libmapi.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/proto.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/nspi.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/emsmdb.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_ctx.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_provider.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_id_array.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_notification.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_object.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_profile.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_nameid.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapidefs.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/version.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapicode.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/socket/netif.h $(DESTDIR)$(includedir)/libmapi/socket/
	$(INSTALL) -m 0644 gen_ndr/exchange.h $(DESTDIR)$(includedir)/gen_ndr/
	$(INSTALL) -m 0644 gen_ndr/property.h $(DESTDIR)$(includedir)/gen_ndr/

libmapi-installscript:
	$(INSTALL) -d $(DESTDIR)$(datadir)/setup
	$(INSTALL) -m 0644 setup/oc_profiles* $(DESTDIR)$(datadir)/setup/

libmapi-uninstallpc:
	rm -f $(DESTDIR)$(libdir)/pkgconfig/libmapi.pc

libmapi-uninstalllib:
	rm -f $(DESTDIR)$(libdir)/libmapi.*

libmapi-uninstallheader:
	rm -rf $(DESTDIR)$(includedir)/libmapi
	rm -f $(DESTDIR)$(includedir)/gen_ndr/exchange.h
	rm -f $(DESTDIR)$(includedir)/gen_ndr/property.h

libmapi-uninstallscript:
	rm -f $(DESTDIR)$(datadir)/setup/oc_profiles*

libmapi.$(SHLIBEXT).$(PACKAGE_VERSION): 		\
	libmapi/IABContainer.po				\
	libmapi/IProfAdmin.po				\
	libmapi/IMAPIContainer.po			\
	libmapi/IMAPIFolder.po				\
	libmapi/IMAPIProp.po				\
	libmapi/IMAPISession.po				\
	libmapi/IMAPISupport.po				\
	libmapi/IStream.po				\
	libmapi/IMAPITable.po				\
	libmapi/IMessage.po				\
	libmapi/IMsgStore.po				\
	libmapi/IStoreFolder.po				\
	libmapi/IUnknown.po				\
	libmapi/IMSProvider.po				\
	libmapi/IXPLogon.po				\
	libmapi/FXICS.po				\
	libmapi/utils.po 				\
	libmapi/property.po				\
	libmapi/cdo_mapi.po 				\
	libmapi/lzfu.po					\
	libmapi/mapi_object.po				\
	libmapi/mapi_id_array.po			\
	libmapi/mapitags.po				\
	libmapi/mapidump.po				\
	libmapi/mapicode.po 				\
	libmapi/mapi_nameid.po				\
	libmapi/emsmdb.po				\
	libmapi/nspi.po 				\
	libmapi/simple_mapi.po				\
	libmapi/util/lcid.po 				\
	libmapi/util/codepage.po			\
	libmapi/freebusy.po				\
	libmapi/x500.po 				\
	ndr_mapi.po					\
	gen_ndr/ndr_exchange.po				\
	gen_ndr/ndr_exchange_c.po			\
	gen_ndr/ndr_property.po				\
	libmapi/socket/interface.po			\
	libmapi/socket/netif.po				\
	libmapi/utf8_convert.yy.po
	@echo "Linking $@"
	@$(CC) $(DSOOPT) -Wl,-soname,libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION) -o $@ $^ $(LIBS)


libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION): libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
	ln -fs $< $@

libmapi/version.h: VERSION
	@./script/mkversion.sh 	VERSION libmapi/version.h $(PACKAGE_VERSION) $(top_builddir)/

libmapi/utf8_convert.yy.c: 	libmapi/utf8_convert.l
	@echo "Generating $@"
	@$(FLEX) -Plibmapi_utf8_convert_ -t $< > $@

# Avoid warnings:
libmapi/utf8_convert.yy.o: CFLAGS=

libmapi/proto.h libmapi/proto_private.h:		\
	libmapi/nspi.c					\
	libmapi/emsmdb.c				\
	libmapi/cdo_mapi.c				\
	libmapi/simple_mapi.c				\
	libmapi/mapitags.c				\
	libmapi/mapicode.c				\
	libmapi/mapidump.c				\
	libmapi/mapi_object.c				\
	libmapi/mapi_id_array.c				\
	libmapi/mapi_nameid.c				\
	libmapi/property.c				\
	libmapi/IABContainer.c				\
	libmapi/IProfAdmin.c				\
	libmapi/IMAPIContainer.c			\
	libmapi/IMAPIFolder.c 				\
	libmapi/IMAPIProp.c 				\
	libmapi/IMAPISession.c				\
	libmapi/IMAPISupport.c				\
	libmapi/IMAPITable.c 				\
	libmapi/IMSProvider.c				\
	libmapi/IMessage.c 				\
	libmapi/IMsgStore.c 				\
	libmapi/IStoreFolder.c				\
	libmapi/IUnknown.c 				\
	libmapi/IStream.c				\
	libmapi/IXPLogon.c				\
	libmapi/FXICS.c					\
	libmapi/freebusy.c				\
	libmapi/x500.c 					\
	libmapi/lzfu.c					\
	libmapi/utils.c 				\
	libmapi/util/lcid.c 				\
	libmapi/util/codepage.c 			\
	libmapi/socket/interface.c			\
	libmapi/socket/netif.c		
	@echo "Generating $@"
	@./script/mkproto.pl --private=libmapi/proto_private.h --public=libmapi/proto.h $^

libmapi/emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h

libmapi/mapitags.c libmapi/mapicode.c mapitags_enum.h mapicodes_enum.h: \
	libmapi/conf/mapi-properties 					\
	libmapi/conf/mapi-codes 					\
	libmapi/conf/mapi-named-properties 				\
	libmapi/conf/mparse.pl
	@./libmapi/conf/build.sh

#################################################################
# libmapi++ compilation rules
#################################################################

libmapixx: libmapi libmapixx-tests libmapixx-examples

libmapixx-installpc:

libmapixx-clean: libmapixx-tests-clean

libmapixx-install: libmapixx-installheader

libmapixx-uninstall: libmapixx-uninstallheader

libmapixx-installheader:
	@echo "[*] install: libmapi++ headers"
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi++
	$(INSTALL) -m 0644 libmapi++/attachment.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/clibmapi.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/folder.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/libmapi++.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/mapi_exception.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/message.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/message_store.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/object.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/profile.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/property_container.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/session.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi++/impl
	$(INSTALL) -m 0644 libmapi++/impl/* $(DESTDIR)$(includedir)/libmapi++/impl/

libmapixx-uninstallheader:
	rm -rf $(DESTDIR)$(includedir)/libmapi++


libmapixx-tests:	libmapixx-test		\
			libmapixx-attach

libmapixx-tests-clean:	libmapixx-test-clean	\
			libmapixx-attach-clean	

libmapixx-test: bin/libmapixx-test

libmapixx-test-clean:
	rm -f bin/libmapixx-test
	rm -f libmapi++/tests/*.o

bin/libmapixx-test:	libmapi++/tests/test.cpp	\
		libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
	@echo "Linking sample application $@"
	@$(CXX) $(CXXFLAGS) -o $@ $^ $(LIBS)

clean:: libmapixx-test-clean

libmapixx-attach: bin/libmapixx-attach

libmapixx-attach-clean:
	rm -f bin/libmapixx-attach
	rm -f libmapi++/tests/*.o

bin/libmapixx-attach: libmapi++/tests/attach_test.cpp	\
		  libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)

## openchange 0.8.2+svn1423

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	./configure
 
 configure: configure.ac
-	autoconf -f
+	./autogen.sh
 
 samba:
 	./script/installsamba4.sh all
@@ -70,6 +70,7 @@
 	rm -f libmapi++/Doxyfile
 	rm -f mapiproxy/Doxyfile
 	rm -f config.status config.log
+	rm -f stamp-h1
 	rm -f utils/mapitest/Doxyfile
 	rm -f intltool-extract intltool-merge intltool-update
 	rm -rf apidocs
@@ -224,8 +225,8 @@
 	$(INSTALL) -m 0644 gen_ndr/property.h $(DESTDIR)$(includedir)/gen_ndr/
 
 libmapi-installscript:
-	$(INSTALL) -d $(DESTDIR)$(datadir)/setup
-	$(INSTALL) -m 0644 setup/oc_profiles* $(DESTDIR)$(datadir)/setup/
+	$(INSTALL) -d $(DESTDIR)$(datadir)/setup/profiles
+	$(INSTALL) -m 0644 setup/profiles/oc_profiles* $(DESTDIR)$(datadir)/setup/profiles/
 
 libmapi-uninstallpc:
 	rm -f $(DESTDIR)$(libdir)/pkgconfig/libmapi.pc
@@ -239,7 +240,8 @@
 	rm -f $(DESTDIR)$(includedir)/gen_ndr/property.h
 
 libmapi-uninstallscript:
-	rm -f $(DESTDIR)$(datadir)/setup/oc_profiles*
+	rm -f $(DESTDIR)$(datadir)/setup/profiles/oc_profiles*
+	rm -rf $(DESTDIR)$(datadir)/setup/profiles
 
 libmapi.$(SHLIBEXT).$(PACKAGE_VERSION): 		\
 	libmapi/IABContainer.po				\
@@ -394,6 +396,8 @@
 	rm -f bin/libmapixx-test
 	rm -f libmapi++/tests/*.o
 
+clean:: libmapixx-tests-clean
+
 bin/libmapixx-test:	libmapi++/tests/test.cpp	\
 		libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
 	@echo "Linking sample application $@"
@@ -405,7 +409,3 @@
 
 libmapixx-attach-clean:
 	rm -f bin/libmapixx-attach
-	rm -f libmapi++/tests/*.o
-
-bin/libmapixx-attach: libmapi++/tests/attach_test.cpp	\
-		  libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)

=== doc/examples/Makefile ===
all:	fetchappointment	\
	fetchmail		\
	mapi_sample1		

clean:
	rm -f fetchappointment fetchmail mapi_sample1

fetchappointment:
		gcc fetchappointment.c -o fetchappointment `pkg-config libmapi --cflags --libs` 

fetchmail:
		gcc fetchmail.c -o fetchmail `pkg-config libmapi --cflags --libs`

mapi_sample1:
		gcc mapi_sample1.c -o mapi_sample1 `pkg-config libmapi --cflags --libs`

## openchange 0.8.2+svn1524

=== Makefile ===
--- 
+++ 
@@ -60,6 +60,9 @@
 		$(OC_TORTURE_UNINSTALL) \
 		$(SWIGDIRS-UNINSTALL) \
 		$(PYMAPIUNINSTALL)
+
+dist:: distclean
+	./autogen.sh
 
 distclean:: clean
 	rm -rf autom4te.cache
@@ -408,4 +411,3 @@
 libmapixx-attach: bin/libmapixx-attach
 
 libmapixx-attach-clean:
-	rm -f bin/libmapixx-attach

=== swig/perl/Makefile ===
#Makefile for libmapi Perl bindings
#Writen by Julien Kerihuel <j.kerihuel@openchange.org>, 2007.

include ../../config.mk

top_builddir = ../..

CFLAGS+=`perl -MExtUtils::Embed -e ccopts` -D_SAMBA_UTIL_H_

# Portability hack...
CFLAGS+=-Duint_t="unsigned int" 

CFLAGS+=-I$(top_builddir)

all::	swig_mapitags.h 		\
	swig_mapicodes.h		\
	mapi_wrap.c			\
	mapi.$(SHLIBEXT)

clean::
	rm -f *.o
	rm -f *.pm
	rm -f mapi_wrap.c
	rm -f swig_mapicodes.h swig_mapitags.h
	rm -f mapi.$(SHLIBEXT)

distclean:: clean
	rm -f *.so

install:: all
	cp mapi.pm $(PERL5DIR)
	cp mapi.so $(PERL5DIR)

uninstall::
	rm -f $(PERL5DIR)/mapi.pm
	rm -f $(PERL5DIR)/mapi.so

mapi_wrap.c: mapi.i
	@echo "Swigify $<"
	@$(SWIG) -Wall -Werror -perl5 $<

swig_mapitags.h:
	@echo "Generating Headers (swig_mapitags.h)"
	@$(top_builddir)/libmapi/conf/mparse.pl --parser=swig_mapitags --outputdir=./ $(top_builddir)/libmapi/conf/mapi-properties

swig_mapicodes.h:
	@echo "Generating Headers (swig_mapicodes.h)"
	@$(top_builddir)/libmapi/conf/mparse.pl --parser=swig_mapicodes --outputdir=./ $(top_builddir)/libmapi/conf/mapi-codes

.SUFFIXES: .po

.c.po:
	@echo "Compiling $< with -fPIC"
	@$(CC) $(CFLAGS) -DDEFAULT_LDIF=\"$(DESTDIR)$(datadir)/setup\" -fPIC -c $< -o $@

mapi.$(SHLIBEXT): 	mapi_wrap.po				\
			lwmapi.po				\
			../../libmapi/utf8_convert.yy.po	\
			../../libmapi/*.po			\
			../../gen_ndr/*.po			\
			../../*.po
	@echo "Compiling $<"
	@$(CC) -o $@ $(DSOOPT) $^ $(LIBS)

## openchange 0.9+svn2158

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,9 @@
 
 samba-git: 
 	./script/installsamba4.sh git-all
+
+samba-git-update:
+	./script/installsamba4.sh git-update
 
 ifneq ($(MAKECMDGOALS), samba)
 ifneq ($(MAKECMDGOALS), samba-git)
@@ -37,7 +40,9 @@
 		$(OC_TORTURE)		\
 		$(OC_SERVER)		\
 		$(SWIGDIRS-ALL)		\
-		$(PYMAPIALL)
+		$(PYMAPIALL)		\
+		$(COVERAGE_INIT)	\
+		$(OPENCHANGE_QT4)
 
 install: 	all 			\
 		installlib 		\
@@ -73,6 +78,7 @@
 	rm -f libmapi++/Doxyfile
 	rm -f mapiproxy/Doxyfile
 	rm -f config.status config.log
+	rm -f config.h
 	rm -f stamp-h1
 	rm -f utils/mapitest/Doxyfile
 	rm -f intltool-extract intltool-merge intltool-update
@@ -94,7 +100,7 @@
 # Suffixes compilation rules
 #################################################################
 
-.SUFFIXES: .c .o .h .po .idl
+.SUFFIXES: .c .o .h .po .idl .cpp
 
 .idl.h:
 	@echo "Generating $@"
@@ -108,7 +114,13 @@
 	@echo "Compiling $< with -fPIC"
 	@$(CC) $(CFLAGS) -fPIC -c $< -o $@
 
-
+.cpp.o:
+	@echo "Compiling $< with -fPIC"
+	@$(CXX) $(CXXFLAGS) $(QT4_CXXFLAGS) -fPIC -c $< -o $@
+
+.cpp.po:
+	@echo "Compiling $< with -fPIC"
+	@$(CXX) $(CXXFLAGS) -fPIC -c $< -o $@
 
 #################################################################
 # IDL compilation rules
@@ -144,7 +156,6 @@
 
 libmapi:	idl					\
 		libmapi/version.h			\
-		libmapi/proto.h				\
 		libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)	
 
 libmapi-install:	libmapi			\
@@ -160,17 +171,15 @@
 
 libmapi-clean::
 	rm -f libmapi/*.o libmapi/*.po
-	rm -f libmapi/tests/*.o, libmapi/tests/*.po
+	rm -f libmapi/*.gcno libmapi/*.gcda libmapi/*.gcov
 	rm -f libmapi/socket/*.o libmapi/socket/*.po
-	rm -f libmapi/util/*.o, libmapi/util/*.po
+	rm -f libmapi/socket/*.gcno libmapi/socket/*.gcda
 	rm -f libmapi/version.h
 ifneq ($(SNAPSHOT), no)
-	rm -f libmapi/utf8_convert.yy.c
-	rm -f libmapi/mapicode.c libmapi/mapicode.h
+	rm -f libmapi/mapicode.c
 	rm -f libmapi/mapitags.c libmapi/mapitags.h
+	rm -f libmapi/codepage_lcid.c
 	rm -f libmapi/mapi_nameid.h libmapi/mapi_nameid_private.h
-	rm -f libmapi/proto.h
-	rm -f libmapi/proto_private.h
 	rm -f mapicodes_enum.h
 	rm -f mapitags_enum.h
 endif
@@ -179,6 +188,7 @@
 	rm -f gen_ndr/ndr_property*
 	rm -f gen_ndr/property.h
 	rm -f ndr_mapi.o ndr_mapi.po
+	rm -f ndr_mapi.gcno ndr_mapi.gcda
 	rm -f *~
 	rm -f */*~
 	rm -f */*/*~
@@ -202,15 +212,16 @@
 	$(INSTALL) -d $(DESTDIR)$(libdir)
 	$(INSTALL) -m 0755 libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)
 	ln -sf libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapi.$(SHLIBEXT)
+ifeq ($(MANUALLY_CREATE_SYMLINKS), yes)
+	ln -sf libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION)
+endif
 
 libmapi-installheader:
 	@echo "[*] install: libmapi headers"
 	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi 
 	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi/socket 
 	$(INSTALL) -d $(DESTDIR)$(includedir)/gen_ndr
-	$(INSTALL) -m 0644 libmapi/dlinklist.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/libmapi.h $(DESTDIR)$(includedir)/libmapi/
-	$(INSTALL) -m 0644 libmapi/proto.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/nspi.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/emsmdb.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/mapi_ctx.h $(DESTDIR)$(includedir)/libmapi/
@@ -226,6 +237,9 @@
 	$(INSTALL) -m 0644 libmapi/socket/netif.h $(DESTDIR)$(includedir)/libmapi/socket/
 	$(INSTALL) -m 0644 gen_ndr/exchange.h $(DESTDIR)$(includedir)/gen_ndr/
 	$(INSTALL) -m 0644 gen_ndr/property.h $(DESTDIR)$(includedir)/gen_ndr/
+	@$(SED) $(DESTDIR)$(includedir)/libmapi/*.h
+	@$(SED) $(DESTDIR)$(includedir)/libmapi/socket/*.h
+	@$(SED) $(DESTDIR)$(includedir)/gen_ndr/*.h
 
 libmapi-installscript:
 	$(INSTALL) -d $(DESTDIR)$(datadir)/setup/profiles
@@ -247,6 +261,7 @@
 	rm -rf $(DESTDIR)$(datadir)/setup/profiles
 
 libmapi.$(SHLIBEXT).$(PACKAGE_VERSION): 		\
+	libmapi/emsmdb.po				\
 	libmapi/IABContainer.po				\
 	libmapi/IProfAdmin.po				\
 	libmapi/IMAPIContainer.po			\
@@ -272,12 +287,10 @@
 	libmapi/mapitags.po				\
 	libmapi/mapidump.po				\
 	libmapi/mapicode.po 				\
+	libmapi/codepage_lcid.po			\
 	libmapi/mapi_nameid.po				\
-	libmapi/emsmdb.po				\
 	libmapi/nspi.po 				\
 	libmapi/simple_mapi.po				\
-	libmapi/util/lcid.po 				\
-	libmapi/util/codepage.po			\
 	libmapi/freebusy.po				\
 	libmapi/x500.po 				\
 	ndr_mapi.po					\
@@ -285,10 +298,9 @@
 	gen_ndr/ndr_exchange_c.po			\
 	gen_ndr/ndr_property.po				\
 	libmapi/socket/interface.po			\
-	libmapi/socket/netif.po				\
-	libmapi/utf8_convert.yy.po
+	libmapi/socket/netif.po				
 	@echo "Linking $@"
-	@$(CC) $(DSOOPT) -Wl,-soname,libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION) -o $@ $^ $(LIBS)
+	@$(CC) $(DSOOPT) $(CFLAGS) $(LDFLAGS) -Wl,-soname,libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION) -o $@ $^ $(LIBS)
 
 
 libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION): libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
@@ -297,58 +309,13 @@
 libmapi/version.h: VERSION
 	@./script/mkversion.sh 	VERSION libmapi/version.h $(PACKAGE_VERSION) $(top_builddir)/
 
-libmapi/utf8_convert.yy.c: 	libmapi/utf8_convert.l
-	@echo "Generating $@"
-	@$(FLEX) -Plibmapi_utf8_convert_ -t $< > $@
-
-# Avoid warnings:
-libmapi/utf8_convert.yy.o: CFLAGS=
-
-libmapi/proto.h libmapi/proto_private.h:		\
-	libmapi/nspi.c					\
-	libmapi/emsmdb.c				\
-	libmapi/cdo_mapi.c				\
-	libmapi/simple_mapi.c				\
-	libmapi/mapitags.c				\
-	libmapi/mapicode.c				\
-	libmapi/mapidump.c				\
-	libmapi/mapi_object.c				\
-	libmapi/mapi_id_array.c				\
-	libmapi/mapi_nameid.c				\
-	libmapi/property.c				\
-	libmapi/IABContainer.c				\
-	libmapi/IProfAdmin.c				\
-	libmapi/IMAPIContainer.c			\
-	libmapi/IMAPIFolder.c 				\
-	libmapi/IMAPIProp.c 				\
-	libmapi/IMAPISession.c				\
-	libmapi/IMAPISupport.c				\
-	libmapi/IMAPITable.c 				\
-	libmapi/IMSProvider.c				\
-	libmapi/IMessage.c 				\
-	libmapi/IMsgStore.c 				\
-	libmapi/IStoreFolder.c				\
-	libmapi/IUnknown.c 				\
-	libmapi/IStream.c				\
-	libmapi/IXPLogon.c				\
-	libmapi/FXICS.c					\
-	libmapi/freebusy.c				\
-	libmapi/x500.c 					\
-	libmapi/lzfu.c					\
-	libmapi/utils.c 				\
-	libmapi/util/lcid.c 				\
-	libmapi/util/codepage.c 			\
-	libmapi/socket/interface.c			\
-	libmapi/socket/netif.c		
-	@echo "Generating $@"
-	@./script/mkproto.pl --private=libmapi/proto_private.h --public=libmapi/proto.h $^
-
 libmapi/emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h
 
-libmapi/mapitags.c libmapi/mapicode.c mapitags_enum.h mapicodes_enum.h: \
-	libmapi/conf/mapi-properties 					\
-	libmapi/conf/mapi-codes 					\
-	libmapi/conf/mapi-named-properties 				\
+libmapi/mapitags.c libmapi/mapicode.c libmapi/codepage_lcid.c mapitags_enum.h mapicodes_enum.h: \
+	libmapi/conf/mapi-properties								\
+	libmapi/conf/mapi-codes									\
+	libmapi/conf/mapi-named-properties							\
+	libmapi/conf/codepage-lcid								\
 	libmapi/conf/mparse.pl
 	@./libmapi/conf/build.sh
 
@@ -356,15 +323,43 @@
 # libmapi++ compilation rules
 #################################################################
 
-libmapixx: libmapi libmapixx-tests libmapixx-examples
+LIBMAPIPP_SO_VERSION = 0
+
+libmapixx: libmapi \
+	libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION) \
+	libmapixx-tests \
+	libmapixx-examples
+
+libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION): 	\
+	libmapi++/src/attachment.po 		\
+	libmapi++/src/folder.po 		\
+	libmapi++/src/mapi_exception.po		\
+	libmapi++/src/message.po		\
+	libmapi++/src/object.po			\
+	libmapi++/src/session.po
+	@echo "Linking $@"
+	@$(CXX) $(DSOOPT) $(CXXFLAGS) $(LDFLAGS) -Wl,-soname,libmapipp.$(SHLIBEXT).$(LIBMAPIPP_SO_VERSION) -o $@ $^ $(LIBS)
 
 libmapixx-installpc:
-
-libmapixx-clean: libmapixx-tests-clean
-
-libmapixx-install: libmapixx-installheader
-
-libmapixx-uninstall: libmapixx-uninstallheader
+	@echo "[*] install: libmapi++ pc files"
+	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
+	$(INSTALL) -m 0644 libmapi++.pc $(DESTDIR)$(libdir)/pkgconfig
+
+libmapixx-distclean:
+	rm -f libmapi++.pc
+
+libmapixx-uninstallpc:
+	rm -f $(DESTDIR)$(libdir)/pkgconfig/libmapi++.pc
+
+distclean::libmapixx-distclean
+
+libmapixx-clean: libmapixx-tests-clean libmapixx-libs-clean
+
+clean:: libmapixx-clean
+
+libmapixx-install: libmapixx-installheader libmapixx-installlib libmapixx-installpc
+
+libmapixx-uninstall: libmapixx-uninstallheader libmapixx-uninstalllib libmapixx-uninstallpc
 
 libmapixx-installheader:
 	@echo "[*] install: libmapi++ headers"
@@ -380,34 +375,24 @@
 	$(INSTALL) -m 0644 libmapi++/profile.h $(DESTDIR)$(includedir)/libmapi++/
 	$(INSTALL) -m 0644 libmapi++/property_container.h $(DESTDIR)$(includedir)/libmapi++/
 	$(INSTALL) -m 0644 libmapi++/session.h $(DESTDIR)$(includedir)/libmapi++/
-	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi++/impl
-	$(INSTALL) -m 0644 libmapi++/impl/* $(DESTDIR)$(includedir)/libmapi++/impl/
+	@$(SED) $(DESTDIR)$(includedir)/libmapi++/*.h
+
+libmapixx-libs-clean:
+	rm -f libmapi++/src/*.po
+	rm -f libmapipp.$(SHLIBEXT)*
+
+libmapixx-installlib:
+	@echo "[*] install: libmapi++ library"
+	$(INSTALL) -d $(DESTDIR)$(libdir)
+	$(INSTALL) -m 0755 libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)
+	ln -sf libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapipp.$(SHLIBEXT)
+ifeq ($(MANUALLY_CREATE_SYMLINKS), yes)
+	ln -sf libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapipp.$(SHLIBEXT).$(LIBMAPIPP_SO_VERSION)
+endif
 
 libmapixx-uninstallheader:
 	rm -rf $(DESTDIR)$(includedir)/libmapi++
 
-
-libmapixx-tests:	libmapixx-test		\
-			libmapixx-attach
-
-libmapixx-tests-clean:	libmapixx-test-clean	\
-			libmapixx-attach-clean	
-
-libmapixx-test: bin/libmapixx-test
-
-libmapixx-test-clean:
-	rm -f bin/libmapixx-test
-	rm -f libmapi++/tests/*.o
-
-clean:: libmapixx-tests-clean
-
-bin/libmapixx-test:	libmapi++/tests/test.cpp	\
-		libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
-	@echo "Linking sample application $@"
-	@$(CXX) $(CXXFLAGS) -o $@ $^ $(LIBS)
-
-clean:: libmapixx-test-clean
-
-libmapixx-attach: bin/libmapixx-attach
-
-libmapixx-attach-clean:
+libmapixx-uninstalllib:
+	rm -f $(DESTDIR)$(libdir)/libmapipp.*
+

=== doc/examples/Makefile ===
all:	fetchappointment	\
	fetchmail		\
	mapi_sample1		\
	multiple_notif

clean:
	rm -f fetchappointment fetchmail mapi_sample1 multiple_notif

fetchappointment:
		gcc fetchappointment.c -o fetchappointment `pkg-config libmapi --cflags --libs` 

fetchmail:
		gcc fetchmail.c -o fetchmail `pkg-config libmapi --cflags --libs`

mapi_sample1:
		gcc mapi_sample1.c -o mapi_sample1 `pkg-config libmapi --cflags --libs`

multiple_notif:
		gcc multiple_notif.c -o multiple_notif `pkg-config libmapi --cflags --libs` -lpthread -lpopt

=== debian/changelog ===
openchange (1:0.9+svn2158-0ubuntu1) maverick; urgency=low

  * New upstream snapshot. LP: #632519
  * Change section of libmapi0, libmapipp0, libocpf0 to libs.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 23 Aug 2010 15:49:09 +0200

openchange (1:0.9+svn2132-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.9.1 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 23 Aug 2010 14:14:19 +0200

openchange (1:0.9+svn1970-1) experimental; urgency=low

  [ Mathieu Parent ]
  * Add Vcs-Browser
  * libmapi-dev depends on libndr-standard-dev.
    Fix "Missing dependency on samba4-dev" (Closes: #549012)

  [ Jelmer Vernooij ]
  * Use source format version 3.
  * Bump standards version to 3.8.4.
  * New upstream snapshot.
  * Add build dependency on zlib1g-dev. Closes: #577330
  * Migrate packaging to Bazaar.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 19 Jun 2010 00:14:54 +0200

openchange (1:0.8.2+svn1524-1) unstable; urgency=low

  * New upstream snapshot.
  * Upload to unstable.
  * Bump standards version to 3.8.3.
  * Add missing build dependency on libsqlite3-dev. Thanks Fabrice
    Coutadeur <fabricesp@ubuntu.com>. (Closes: #541134)
  * Remove optional build-dep on samba4-specific ldb.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Sep 2009 14:14:05 +0200

openchange (1:0.8.2+svn1423-1) experimental; urgency=low

  * New upstream snapshot.
  * Build exchange2ical.
  * Add missing dependency on libtevent-dev. (Closes: #524000)
  * Fix missing dependencies of libmapi-dev. (Closes: #525884, Closes: #525890)
  * Add libmapi++ package.
  * Add libmapistore{0,-dev} packages for MAPI storage library.
  * Add openchangeserver-dev package.
  * Include howto in openchangeserver package. (Closes: #524694)
  * Bump standards version to 3.8.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 18:03:29 +0200

openchange (1:0.8-2) experimental; urgency=low

  * Depend on python and install server provision scripts.  (Closes: #511941)
  * Filter code name out of version in debian/watch.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 24 Jan 2009 21:43:19 +0100

openchange (1:0.8-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 21 Jan 2009 00:56:36 +0100

openchange (1.0~svn991-1) experimental; urgency=low

  * New upstream snapshot. (Closes: #504968, #507061)

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 11 Jan 2009 15:07:53 +0100

openchange (1.0~svn894-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 26 Nov 2008 19:37:55 +0100

openchange (1.0~svn842-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 01 Nov 2008 00:59:53 +0100

openchange (1.0~svn794-2) experimental; urgency=low

  * Require a newer version of LDB because of API changes. (Closes: #500790)

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 01 Oct 2008 15:12:19 +0200

openchange (1.0~svn794-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 30 Sep 2008 18:01:25 +0200

openchange (1.0~svn694-2) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 25 Aug 2008 17:40:17 +0200

openchange (1.0~svn679-1) experimental; urgency=low

  * Initial release. (Closes: #420291)

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 06 Aug 2008 18:32:45 +0200

=== debian/control ===
Source: openchange
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>> 5.0.0), libparse-pidl-perl, libmagic-dev,
	libdcerpc-dev (>= 4.0.0~alpha13+git+bzr12977), libtalloc-dev,
	samba4-dev (>= 4.0.0~alpha13+git+bzr12977),
	libsamba-hostconfig-dev (>= 4.0.0~alpha13+git+bzr12977), flex, bison,
	libpopt-dev, libtorture-dev, doxygen, pkg-config,
	libdcerpc-dev (>= 4.0.0~alpha13+git+bzr12977), libtalloc-dev,
	libldb-dev, python-dev, python-central (>= 0.5),
	libtevent-dev (>= 0.9.9~), libical-dev, libboost-thread-dev,
	libsqlite3-dev, zlib1g-dev
Standards-Version: 3.9.1
Vcs-Bzr: http://bzr.debian.org/pkg-samba/openchange/unstable
Vcs-Browser: http://bzr.debian.org/lh/pkg-samba/openchange/unstable
Homepage: http://www.openchange.org/
XS-Python-Version: >= 2.4

Package: libmapi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Client library for the MAPI protocol
 This library provides a client-side implementation of the MAPI protocol
 that is used by Microsoft Exchange and Outlook.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.

Package: libmapi-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapi0 (= ${binary:Version}), ${misc:Depends}, libtalloc-dev, libdcerpc-dev, libndr-dev, libldb-dev, libsamba-hostconfig-dev, libtevent-dev, libndr-standard-dev
XB-Python-Version: ${python:Versions}
Description: Development files for the MAPI client library
 This library provides a client-side implementation of the MAPI protocol
 that is used by Microsoft Exchange and Outlook.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.
 .
 This package contains the development files.

Package: libmapipp-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapipp0 (= ${binary:Version}), ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Development files for the C++ MAPI client library
 This library provides a thin C++ wrapper around libmapi.
 .
 This package contains the header files.

Package: libmapipp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Library files for the C++ MAPI client library
 This library provides a thin C++ wrapper around libmapi.
 .
 This package contains the shared library.

Package: libocpf0
SEction: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Scripting library for the MAPI protocol
 Library that reads and runs files in the OCPF scripting language,
 a domain-specific language for the MAPI protocol.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.

Package: libocpf-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libocpf0 (= ${binary:Version}), ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Development files for the OCPF library
 Library that reads and runs files in the OCPF scripting language,
 a domain-specific language for the MAPI protocol.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.
 .
 This package contains the development files.

Package: openchangeclient
Architecture: any
Suggests: nagios3, ${perl:Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Command-line client for the MAPI (Exchange/Outlook) protocol
 Simple command-line client that allows fetching mail from and sending
 mail using a MAPI server.

Package: openchangeserver
Architecture: any
Depends: ${shlibs:Depends}, samba4 (>= 4.0.0~), ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Experimental MAPI (Exchange/Outlook) server
 This is a plugin for Samba 4 that adds server-side support for the MAPI
 protocol that is used by Microsoft Outlook and Exchange.
 .
 This package is alpha software.

Package: openchangeserver-dev
Architecture: any
Depends: samba4-dev (>= 4.0.0~), openchangeserver (= ${binary:Version}), ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Experimental MAPI (Exchange/Outlook) server - development files
 This is a plugin for Samba 4 that adds server-side support for the MAPI
 protocol that is used by Microsoft Outlook and Exchange.
 .
 This package contains the development files.

Package: openchangeproxy
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, samba4 (>= 4.0.0~), ${misc:Depends}
Description: Experimental MAPI (Exchange/Outlook) proxy
 This is a plugin for Samba 4 that provides a proxy for the MAPI protocol.
 .
 This package is alpha software.

Package: libmapiadmin0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Administration client library for the MAPI (Exchange/Outlook) protocol
 Library that allows remote administration of MAPI (Exchange/Outlook) servers.

Package: libmapiadmin-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapiadmin0 (= ${binary:Version}), ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Development files for the MAPI administration client library
 Library that allows remote administration of MAPI (Exchange/Outlook) servers.
 .
 This package contains the development files.

Package: libmapiproxy0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Proxy library for the MAPI (Exchange/Outlook) protocol
 This is a library that allows proxying of the MAPI (Exchange/Outlook)
 protocol.

Package: libmapiproxy-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapiproxy0 (= ${binary:Version}), ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Development files for the MAPI proxy library
 Library that allows proxying of the MAPI (Exchange/Outlook) protocol.
 .
 This package contains the development files.

Package: libmapistore0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Description: Storage library for MAPI objects
 Library that can store arbitrary MAPI objects.

Package: libmapistore-dev
Section: libdevel
Depends: ${misc:Depends}, libmapistore0 (= ${binary:Version})
Architecture: any
XB-Python-Version: ${python:Versions}
Description: Storage library for MAPI objects - development files
 Library that can store arbitrary MAPI objects.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# By Jelmer Vernooij <jelmer@samba.org>
#
LDFLAGS = -Wl,--as-needed
DSOOPT = -shared -Wl,--as-needed -fPIC

configure: configure-stamp
configure-stamp:
	dh_testdir
	chmod a+x ./configure
	BOOST_LIB_SUFFIX=-mt ./configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--with-modulesdir=/usr/lib/openchange \
		--disable-pymapi
	touch $@

build: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE) datadir=/usr/share/openchange LDFLAGS="$(LDFLAGS)" DSOOPT="$(DSOOPT)" all
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(RM) debian/tmp
	[ ! -f config.mk ] || $(MAKE) distclean
	$(RM) build-stamp configure-stamp

binary-indep: build install
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdebconf -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

install: build
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tmp/usr/modules/dcerpc_server
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/nagios/plugins
	$(MAKE) datadir=/usr/share/openchange install installman DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/lib/nagios/check_exchange \
	   $(CURDIR)/debian/tmp/usr/lib/nagios/plugins/check_exchange 
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/samba/dcerpc_server
	mv $(CURDIR)/debian/tmp/usr/modules/dcerpc_server/* \
	   $(CURDIR)/debian/tmp/usr/lib/samba/dcerpc_server
	rm -rf $(CURDIR)/debian/tmp/usr/modules
	dh_testdir
	dh_testroot
	# Don't install the testsuite for now
	rm -f $(CURDIR)/debian/tmp/usr/torture/openchange.so
	rm -rf $(CURDIR)/debian/tmp/usr/share/openchange/mapitest
	install -m 0644 -D debian/openchangeserver.lintian debian/openchangeserver/usr/share/lintian/overrides/openchangeserver
	dh_install --sourcedir=debian/tmp --list-missing --fail-missing

get-orig-source:
	./debian/build-orig.sh

binary-arch: build install
	dh_installdocs -a 
	dh_installexamples -a
	dh_installchangelogs -a
	dh_strip -a
	dh_link -a
	dh_perl -a
	dh_pycentral -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installinit -a 
	dh_installdebconf -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch 

.PHONY: configure build install binary binary-arch binary-indep clean

## openchange 0.11~bzr1932

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile for OpenChange
+# # Makefile for OpenChange
 # Written by Jelmer Vernooij <jelmer@openchange.org>, 2005.
 
 default: all
@@ -37,9 +37,7 @@
 all: 		$(OC_IDL)		\
 		$(OC_LIBS)		\
 		$(OC_TOOLS)		\
-		$(OC_TORTURE)		\
 		$(OC_SERVER)		\
-		$(SWIGDIRS-ALL)		\
 		$(PYMAPIALL)		\
 		$(COVERAGE_INIT)	\
 		$(OPENCHANGE_QT4)
@@ -50,8 +48,6 @@
 		installheader 		\
 		$(OC_TOOLS_INSTALL) 	\
 		$(OC_SERVER_INSTALL) 	\
-		$(OC_TORTURE_INSTALL) 	\
-		$(SWIGDIRS-INSTALL) 	\
 		$(PYMAPIINSTALL) \
 		installnagios
 
@@ -62,8 +58,6 @@
 uninstall:: 	$(OC_LIBS_UNINSTALL) 	\
 		$(OC_TOOLS_UNINSTALL) 	\
 		$(OC_SERVER_UNINSTALL) 	\
-		$(OC_TORTURE_UNINSTALL) \
-		$(SWIGDIRS-UNINSTALL) \
 		$(PYMAPIUNINSTALL)
 
 dist:: distclean
@@ -77,6 +71,7 @@
 	rm -f libocpf/Doxyfile
 	rm -f libmapi++/Doxyfile
 	rm -f mapiproxy/Doxyfile
+	rm -f mapiproxy/libmapistore/Doxyfile
 	rm -f config.status config.log
 	rm -f config.h
 	rm -f stamp-h1
@@ -224,7 +219,7 @@
 	$(INSTALL) -m 0644 libmapi/libmapi.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/nspi.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/emsmdb.h $(DESTDIR)$(includedir)/libmapi/
-	$(INSTALL) -m 0644 libmapi/mapi_ctx.h $(DESTDIR)$(includedir)/libmapi/
+	$(INSTALL) -m 0644 libmapi/mapi_context.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/mapi_provider.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/mapi_id_array.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/mapi_notification.h $(DESTDIR)$(includedir)/libmapi/
@@ -262,6 +257,7 @@
 
 libmapi.$(SHLIBEXT).$(PACKAGE_VERSION): 		\
 	libmapi/emsmdb.po				\
+	libmapi/async_emsmdb.po				\
 	libmapi/IABContainer.po				\
 	libmapi/IProfAdmin.po				\
 	libmapi/IMAPIContainer.po			\
@@ -293,6 +289,7 @@
 	libmapi/simple_mapi.po				\
 	libmapi/freebusy.po				\
 	libmapi/x500.po 				\
+	libmapi/fxparser.po				\
 	ndr_mapi.po					\
 	gen_ndr/ndr_exchange.po				\
 	gen_ndr/ndr_exchange_c.po			\
@@ -311,6 +308,8 @@
 
 libmapi/emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h
 
+libmapi/async_emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h
+
 libmapi/mapitags.c libmapi/mapicode.c libmapi/codepage_lcid.c mapitags_enum.h mapicodes_enum.h: \
 	libmapi/conf/mapi-properties								\
 	libmapi/conf/mapi-codes									\
@@ -336,6 +335,7 @@
 	libmapi++/src/mapi_exception.po		\
 	libmapi++/src/message.po		\
 	libmapi++/src/object.po			\
+	libmapi++/src/profile.po		\
 	libmapi++/src/session.po
 	@echo "Linking $@"
 	@$(CXX) $(DSOOPT) $(CXXFLAGS) $(LDFLAGS) -Wl,-soname,libmapipp.$(SHLIBEXT).$(LIBMAPIPP_SO_VERSION) -o $@ $^ $(LIBS)
@@ -352,8 +352,6 @@
 	rm -f $(DESTDIR)$(libdir)/pkgconfig/libmapi++.pc
 
 distclean::libmapixx-distclean
-
-libmapixx-clean: libmapixx-tests-clean libmapixx-libs-clean
 
 clean:: libmapixx-clean
 
@@ -380,6 +378,9 @@
 libmapixx-libs-clean:
 	rm -f libmapi++/src/*.po
 	rm -f libmapipp.$(SHLIBEXT)*
+	rm -f libmapi++/src/*.gcno libmapi++/src/*.gcda
+
+libmapixx-clean: libmapixx-tests-clean libmapixx-libs-clean
 
 libmapixx-installlib:
 	@echo "[*] install: libmapi++ library"
@@ -391,8 +392,3 @@
 endif
 
 libmapixx-uninstallheader:
-	rm -rf $(DESTDIR)$(includedir)/libmapi++
-
-libmapixx-uninstalllib:
-	rm -f $(DESTDIR)$(libdir)/libmapipp.*
-

=== debian/changelog ===
openchange (1:0.11~bzr1932-1build1) natty; urgency=low

  * No changes upload for libldb0 -> libldb1 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 23 Feb 2011 21:14:11 +0100

openchange (1:0.11~bzr1932-1) experimental; urgency=low

  * New upstream snapshot.
   + Fixes missing linking of -ldl. Closes: #558943
  * Add dependency on libsubunit-dev for subunit support in mapitest.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 24 Jan 2011 14:01:32 -0800

openchange (1:0.10~bzr1804-1) unstable; urgency=low

  * New upstream snapshot.
  * Change section of libmapi0, libmapipp0, libocpf0 to libs.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 23 Aug 2010 15:49:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: openchange
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>> 5.0.0), libparse-pidl-perl, libmagic-dev,
-	libdcerpc-dev (>= 4.0.0~alpha13+git+bzr12977), libtalloc-dev,
-	samba4-dev (>= 4.0.0~alpha13+git+bzr12977),
-	libsamba-hostconfig-dev (>= 4.0.0~alpha13+git+bzr12977), flex, bison,
+	libdcerpc-dev (>= 4.0.0~alpha14~), libtalloc-dev,
+	samba4-dev (>= 4.0.0~alpha14~),
+	libsamba-hostconfig-dev (>= 4.0.0~alpha14~), flex, bison,
 	libpopt-dev, libtorture-dev, doxygen, pkg-config,
-	libdcerpc-dev (>= 4.0.0~alpha13+git+bzr12977), libtalloc-dev,
+	libdcerpc-dev (>= 4.0.0~alpha14~), libtalloc-dev,
 	libldb-dev, python-dev, python-central (>= 0.5),
 	libtevent-dev (>= 0.9.9~), libical-dev, libboost-thread-dev,
-	libsqlite3-dev, zlib1g-dev
+	libsqlite3-dev, zlib1g-dev, libsubunit-dev
 Standards-Version: 3.9.1
 Vcs-Bzr: http://bzr.debian.org/pkg-samba/openchange/unstable
 Vcs-Browser: http://bzr.debian.org/lh/pkg-samba/openchange/unstable

=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,8 @@
 	# Don't install the testsuite for now
 	rm -f $(CURDIR)/debian/tmp/usr/torture/openchange.so
 	rm -rf $(CURDIR)/debian/tmp/usr/share/openchange/mapitest
+	rm -f $(CURDIR)/debian/tmp/usr/bin/check_fasttransfer
+	rm -f $(CURDIR)/debian/tmp/usr/bin/test_asyncnotif
 	install -m 0644 -D debian/openchangeserver.lintian debian/openchangeserver/usr/share/lintian/overrides/openchangeserver
 	dh_install --sourcedir=debian/tmp --list-missing --fail-missing

=== debian/watch ===
version=2
http://sf.net/openchange/libmapi-(.+)-[A-Z]+\.tar\.gz
